> ## Documentation Index
> Fetch the complete documentation index at: https://docs.esheria.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the current workspace settings



## OpenAPI

````yaml /openapi.json patch /api/v1/workspace
openapi: 3.1.0
info:
  title: Esheria Regulatory API
  version: 1.0.0
  description: >-
    Citation-backed regulatory pack API for pack discovery, obligations,
    applicability checks, version history, diffs, change events, evidence
    requirements, filing rules, penalty facts, legal review audit metadata,
    graph queries, and claim verification.
servers:
  - url: https://api.esheria.ai
    description: Production API
  - url: http://127.0.0.1:8080
    description: Local development runtime
security: []
paths:
  /api/v1/workspace:
    patch:
      tags:
        - Workspace
      summary: Update the current workspace settings
      operationId: update_workspace_api_v1_workspace_patch
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: unauthorized
                    message: Invalid API key
                trace_id: trace-123
        '402':
          description: Credits exhausted
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: credits_exhausted
                    message: API credits exhausted
                trace_id: trace-123
        '409':
          description: Conflict
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: duplicate_token_name
                    message: An active data token already uses that name.
                trace_id: trace-123
        '422':
          description: Validation error
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: validation_error
                    message: Invalid payload
                    field: body.name
                trace_id: trace-123
        '503':
          description: Billing or dependency unavailable
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: billing_unavailable
                    message: Billing ledger is unavailable
                trace_id: trace-123
      security:
        - ApiKeyAuth: []
components:
  parameters:
    IdempotencyKey:
      name: idempotency-key
      in: header
      required: true
      schema:
        type: string
      description: Unique key for mutating request replay protection.
      example: claim-verify-2026-06-01T120000Z
  schemas:
    WorkspaceUpdateRequest:
      properties:
        display_name:
          type: string
          maxLength: 200
          minLength: 2
          title: Display Name
        billing_contact_email:
          anyOf:
            - type: string
              maxLength: 254
            - type: 'null'
          title: Billing Contact Email
        pack_entitlements:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Pack Entitlements
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      additionalProperties: false
      type: object
      required:
        - display_name
      title: WorkspaceUpdateRequest
      example:
        billing_contact_email: billing@acme.example
        display_name: Acme Compliance
        metadata:
          dashboard_updated_by: ops@acme.example
        pack_entitlements:
          - UK-DATA-PROTECTION-PRIVACY
          - EU-GDPR-DATA-PROTECTION
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Client API key issued by Esheria.
      x-default: YOUR_ESHERIA_API_KEY

````